;
; AutoIt Version: 3.0
; Language:       English
; Platform:       Windows XP / Citrix
; Modify Author: 		Robert Holland (Robert.Holland@bannerhealth.com)
; Original Date Created:   20100105
; Script purpost: Launch SI_Manager in the AZBLD domain and enter my username.

; Set the Millennium Username and Password to variables
$MilleUsername = "prholland"
$MillePassword = "*****"

;Citrix Application Variables: Robert Holland
$ProgramFiles = @ProgramFilesDir
$PNAgent = "\Citrix\ICA Client\pnagent.exe"
$QLaunchSwitch = "/QLaunch"
$QLaunchArgument = "BH45D:AZBLD - Cerner Files"
$QuoteCharacter = Chr(34)

;Launch Citrix from the program files folder. :Robert Holland
	Run($ProgramFiles & $PNAgent & " " & $QLaunchSwitch & " " & $QuoteCharacter & $QLaunchArgument & $QuoteCharacter)
	;MsgBox(8192, "QLaunch variables are:", $QLaunch & " " & $QuoteCharacter & $QLaunchArgument & $QuoteCharacter)

	If @error Then
		; A message box that lets the user know the script failed when launching the application and Exit Script.
		MsgBox(16, "AutoIt FN Monitor Script", "Failed when launching FN Monitor application.  Script Closed")
		Exit
	EndIf

    ; Wait for the Program Files Shortcuts to become active and run SI_Manager.
    WinWaitActive("C:\Program Files\Cerner\Shortcuts")
	Send("!d")
	Sleep(1000)
	Send($ProgramFiles & "\Cerner\Shortcuts\si_manager.exe.lnk")
	Sleep(1000)
	Send("{Enter}")
	
    ; Wait for the Log On to become active
    WinWaitActive("HNAM Logon - \\Remote")

    ; Log On with Username and Password set above
    Send( $MilleUsername & @TAB)
	;Send( $MilleUsername & @TAB & $MillePassword & @TAB & @CR )
	
Exit