;SplashTextOn("Example", "Splash Screen")
SplashTextOn("How Much Text Can Fit In A Splash Screen", "In the spreadsheet that lists the outbound aliases for Surescripts, there is a '?' that appears as the alias value for 'New Rx to Follow'.  I also note that Code Set 3421 is the list of reasons that a prescription renewal request is rejected, but 'New Rx to Follow' is not included in that drop-down list." & @LF & "  This is a reject reason that would be very helpful to my client because they are receiving renewal requests from pharmacies for controlled substances which they need to reject since controlled substances cannot be sent via ePrescribing, and then send a new prescription.  They feel that if they reject the prescription with a different reason, it does not accurately reflect what occurred nor does it 'close the loop' in terms of the communication note that is saved to the patient's chart.  Thank you for any direction you might be able to provide.")
Sleep(5000)
SplashOff()

;Splashscreen Formatted.
SplashTextOn("Title", "Message goes here.", -1, -1, -1, -1, 4, "", 24)
Sleep(3000)
SplashOff()

;; FLICKER
$message = ""
SplashTextOn("TitleFoo", $message, -1, -1, -1, -1, 4, "")
For $x = 1 to 20
    $message = $message & $x & @LF
    SplashTextOn("TitleFoo", $message, -1, -1, -1, -1, 4, "")
    Sleep(100)
Next

;; SMOOTH
$message = ""
SplashTextOn("TitleFoo", $message, -1, -1, -1, -1, 4, "")
For $x = 1 to 20
    $message = $message & $x & @LF
    ControlSetText("TitleFoo", "", "Static1", $message)
    sleep(100)
Next